Skip to main content
`Ctrl`+`K`

# DMGetCellCoordinatesLocalSetUp

Prepares a local vector of cellwise coordinates, so that `DMGetCellCoordinatesLocalNoncollective()` can be used as non-collective afterwards.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetCellCoordinatesLocalSetUp(DM dm)

Collective

## Input Parameter

- dm - the `DM`

## See Also

`DM`, `DMGetCellCoordinatesLocalNoncollective()`

## Level

advanced

## Location

src/dm/interface/dmcoordinates.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages